require_relative "player"

module StudioGame
    class BerserkPlayer < Player
        def initialize(name,health)
            super(name,health)
            @woot_count = 0
        end
        
        def woot
            super()
            @woot_count += 1
            
            puts "#{@name} is in berserker mode!" if berserk?
    
        end
        
        def blam
            berserk? ? woot : super
        end
        
        def berserk?
            if @woot_count > 5
                return true
            else
                return false
            end
        end
    end
end

if __FILE__ == $0
  berserker = BerserkPlayer.new("berserker", 50)
  6.times { berserker.woot }
  2.times { berserker.blam }
  puts berserker.health
end

